import { DomTools } from './domtools.classes.domtools';

import { CSSResult, unsafeCSS } from 'lit';

export const desktop = 1240;
export const tablet = 1024;
export const phablet = 600;
export const phone = 400;

export type TViewport = 'native' | 'desktop' | 'tablet' | 'phablet' | 'phone';

export const cssForTablet = (cssArg: CSSResult) => {
  return unsafeCSS(`
    @container wccToolsViewport (max-width: ${tablet}px) {
      ${cssArg.cssText}
    }
    @media (max-width: ${tablet}px) {
      ${cssArg.cssText}
    }
  `);
};

export const cssForPhablet = (cssArg: CSSResult) => {
  return unsafeCSS(`
    @container wccToolsViewport (max-width: ${phablet}px) {
      ${cssArg.cssText}
    }
    @media (max-width: ${phablet}px) {
      ${cssArg.cssText}
    }
  `);
};

export const cssForPhone = (cssArg: CSSResult) => {
  return unsafeCSS(`
    @container wccToolsViewport (max-width: ${phone}px) {
      ${cssArg.cssText}
    }
    @media (max-width: ${phone}px) {
      ${cssArg.cssText}
    }
  `);
};
